%define		module	kmod
Summary:	Python binding for kmod
Name:		python3-%{module}
Version:	0.9.2
Release:	1
License:	LGPL v2
Group:		Libraries/Python
Source0:	https://github.com/maurizio-lombardi/python-kmod/archive/v%{version}/python-kmod-%{version}.tar.gz
# Source0-md5:	8eebc50ce5e4787104aa918cc0d4b3c8
URL:		https://github.com/maurizio-lombardi/python-kmod/
BuildRequires:	python3-modules >= 1:3.2
#BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python binding for kmod

%prep
%setup -q -n python-kmod-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%changelog
* Sat Jun 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-kmod.git;a=log;h=master

* Sun Jun 08 2025 Jan Rękorajski <baggins@pld-linux.org> 40d4964
- new

